Bug 1308836 - CVE-2015-1776 hadoop: disclosure of encrypted data in Hadoop MapReduce [fedora-all]
CVE-2015-1776 hadoop: disclosure of encrypted data in Hadoop MapReduce [fedor...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hadoop (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Rati
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-1776
  Show dependency treegraph
 
Reported: 2016-02-16 04:13 EST by Andrej Nemec
Modified: 2016-10-13 07:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-13 07:12:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-16 04:13:17 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Andrej Nemec 2016-02-16 04:13:23 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1308835,1308836

# Description of your update
notes=Security fix for CVE-2015-1776

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Christopher Tubbs 2016-06-23 12:22:09 EDT
This issue (http://mail-archives.apache.org/mod_mbox/hadoop-general/201602.mbox/%3CCAGCyb56CPgQMcxZ7jP87SfM5OKGx+E49DtrzCTQ6+nQf2a4nSA@mail.gmail.com%3E) is addressed by upgrading to 2.7.x of Hadoop, and only applies to users utilizing the intermediate data encryption features of MapReduce.

This feature was added to Hadoop in 2.6.0, and is not available in Fedora, which currently packages 2.4.1.
Comment 3 Dhiru Kholia 2016-10-13 07:12:32 EDT
Closing this bug based on Comment 2.

Note You need to log in before you can comment on or make changes to this bug.